       local file = io.open (m_simpleTV.MainScriptDir .. "user/tvplaylists/misc/masscan/miralogicsvr.txt")
       
       if file == nil then
                  m_simpleTV.OSD.ShowMessage("Miralogic error: miralogicsvr.txt not found",255,10)
                  dofile(m_simpleTV.MainScriptDir .. "user/tvplaylists/miralogic/doscan.lua") 
       	   return
        end
       
       m_simpleTV.User.Miralogic.SvrTable = {}
       --local t={}
       
       for line in file:lines() do
         local port,ip = line:match('open tcp (.-) (.-) ')
           if ip then
             table.insert(m_simpleTV.User.Miralogic.SvrTable, ip .. ':' .. port)
           end
       end

       file:close()